// ResultsPage.jsx (Wrapper)
import React from 'react';
import { useLocation } from 'react-router-dom';
import SingleCategoryResults from './SingleCategoryResults';
import MultiCategoryResults from './MultiCategoryResults';

function ResultsPage() {
  const location = useLocation();
  const queryParams = new URLSearchParams(location.search);
  const catParam = queryParams.get('cat') || 'science';
  const categories = catParam.split(',').filter(Boolean);
  const query = queryParams.get('q') || '';

  // If there is only one category, render the single-category component.
  if (categories.length === 1) {
    return <SingleCategoryResults query={query} primaryCategory={categories[0]} />;
  }
  // Else, render the multi-category component.
  return <MultiCategoryResults query={query} categories={categories} />;
}

export default ResultsPage;
